Results 1 to 5 of 5

Thread: Mongodb installation

  1. #1
    Join Date
    May 2016
    Location
    Chennai, TN, India
    Posts
    76

    Default Mongodb installation

    If I download Mongodb compatible with SLES12 and install in openSuse 42.2, will Mongodb work. Will we face any issue?

  2. #2
    Join Date
    May 2012
    Location
    Finland
    Posts
    2,004

    Default Re: Mongodb installation

    There's no need because MongoDB 3.2.11 is available in the server:database repository; https://software.opensuse.org/package/mongodb
    .: miuku #suse @ irc.freenode.net
    :: miuku@opensuse.org

    .: h​ttps://download.opensuse.org/repositories/home:/Miuku/

  3. #3

    Default Re: Mongodb installation

    Quote Originally Posted by Miuku View Post
    There's no need because MongoDB 3.2.11 is available in the server:database repository; https://software.opensuse.org/package/mongodb
    Hi. There is a 3.4 version there, but it misses the mongodb-tools package, so the tools like mongoimport/mongoexport are missing in this installation. Installing a matching version of mongodb-tools rpm for SUSE12 from mongodb.org conflicts with this package. Can you suggest how to install mongodb-tools?

  4. #4
    Join Date
    May 2012
    Location
    Finland
    Posts
    2,004

    Default Re: Mongodb installation

    Quote Originally Posted by ujin981 View Post
    Hi. There is a 3.4 version there, but it misses the mongodb-tools package, so the tools like mongoimport/mongoexport are missing in this installation. Installing a matching version of mongodb-tools rpm for SUSE12 from mongodb.org conflicts with this package. Can you suggest how to install mongodb-tools?
    Why not use the 3.4.4 SLE12 version of MongoDB itself from them as well?
    .: miuku #suse @ irc.freenode.net
    :: miuku@opensuse.org

    .: h​ttps://download.opensuse.org/repositories/home:/Miuku/

  5. #5
    Join Date
    Jun 2008
    Location
    San Diego, Ca, USA
    Posts
    11,273
    Blog Entries
    2

    Default Re: Mongodb installation

    I may be wrong, but mongodb-tools looks to be a completely separate project from mongodb, so version numbers are probably unimportant and not necessarily related to the mongodb version. The following is the mongodb-tools project, and a cursory skim of the README (which is also the default page you see at the project) doesn't list any specific mongodb dependencies.

    https://github.com/mongodb/mongo-tools

    As for your "conflict" when you installed that version of mongodb-tools, I'd have to see the exact error to evaluate whether it's a show-stopper or not.

    So,
    That suggests...
    - You can try using any mongodb-tools RPM package from software.opensuse.org and it will likely work. You <may> prefer to use a later build. You might even download a TW RPM and try installing it (I'd caution against adding the repo, just d/l the RPM).
    - If you'd <really> like to have the latest and greatest mongodb-tools, the instructions for building looks very easy... It's practically all automated. You only need to install the Go language on your system and then execute the few required commands on the project page.

    HTH,
    TSU
    Beginner Wiki Quickstart - https://en.opensuse.org/User:Tsu2/Quickstart_Wiki
    Solved a problem recently? Create a wiki page for future personal reference!
    Learn something new?
    Attended a computing event?
    Post and Share!

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •